void kill_list(listnode **nptr);
void copy_list(const listnode *, listnode **);
listnode *searchnode_list(const listnode *, const uchar *);
listnode *searchnode_list2(const listnode *, const uchar *);
void show_list(const listnode *listhead, session *ses);

class listnode {
public:
  listnode(listnode **, const uchar *, const uchar *, const int, const int);
  ~listnode();
  
  void show(session *) const;

  const listnode *get_next() const     { return next; }
  void put_nextstack(stack *st) const  { st->data = next; }
  
  unsigned char *left, *right;
  int type, pri;
private:
  listnode *next;
  listnode **listhead;
};

#define TYPE_ACTION   1
#define TYPE_ALIAS    2
#define TYPE_COLOR    3
#define TYPE_SUBS     4
#define TYPE_GAGS     5
#define TYPE_VAR      6
#define TYPE_ANTI_SUB 7
