void init_comms_table(void);
session *parse_input(const unsigned char *, session *);
int is_speedwalk_dirs(const unsigned char *cp, const int);
session *do_speedwalk(const unsigned char *cp, session *ses);
const unsigned char *get_arg_all(const uchar *, uchar *, session *);
const unsigned char *get_arg_with_spaces(const unsigned char *s,
					 unsigned char *arg);
const unsigned char *get_arg_stop_spaces(const unsigned char *s,
					 unsigned char *arg);
const uchar *get_arg_stop_spaces2(const uchar *s, uchar *arg);
const unsigned char *space_out(const unsigned char *s);
session *write_com_arg_mud(const uchar *command, const uchar *argument,
			   session *ses);
int string_to_number(unsigned char *str, session *ses);
unsigned char *own_asctime(const int day_str = FALSE);

struct command_elem {
  const unsigned char *name;
  const unsigned char *help_txt;
  session *(*func)(const unsigned char *arg, session *ses);
};
